# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::DataProtocol Class Reference

This kioslave provides support of data urls as specified by rfc 2397. More...

`#include <dataprotocol.h>`

Inheritance diagram for KIO::DataProtocol:

[legend]
Collaboration diagram for KIO::DataProtocol:

[legend]
List of all members.

## Public Member Functions

virtual void | mimetype (const KURL &url)
virtual void | get (const KURL &url)

## Detailed Description

This kioslave provides support of data urls as specified by rfc 2397.

See also:
  http://www.ietf.org/rfc/rfc2397.txt

Author:
  Leo Savernik

Definition at line 51 of file dataprotocol.h.

The documentation for this class was generated from the following files:

- dataprotocol.h
- dataprotocol.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003